#!/bin/bash
_ENDUSER=$(printf '%s\n' /home/* | grep -v "oem" | head -n 1)

if [ -z "$_ENDUSER" ] || [ ! -f /opt/win11/win11.tar.xz ]; then
    exit 0
fi

ENDUSER=$(basename "$_ENDUSER")
VMDIR="/home/$ENDUSER/VirtualBox VMs"

if [ ! -d "$VMDIR" ]; then
    mkdir -p "$VMDIR"
fi

tar xvJf /opt/win11/win11.tar.xz -C "$VMDIR"
chown -R "$ENDUSER":"$ENDUSER" "$VMDIR"

VMREG=$(find "$VMDIR" -name "*.vbox")

if [ -n "$VMREG" ]; then
    sudo -i -u "$ENDUSER" VBoxManage registervm "$VMREG"
fi
exit 0;
